@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Ibarra+Real+Nova:ital@0;1&display=swap');
@import"bootstrap-icons.css";

:root {
    --font-size-big: 18px;
    --font-size-base: 16px;
    --font-size-small: 14px;
    --font-size-tini: 14px;
    --font-size-h1-big: 150px;
    --font-size-h1: 60px;
    --font-size-h2: 40px;
    --font-size-h3: 34px;
    --font-size-h4: 28px;
    --font-size-h5: 24px;
    --font-size-h6: 20px;
    --color-bg: #F8F4EE;
    --color-text: #333333;
    --color-pri: #05221D;
    --color-sec: #1a4f4c;
    --color-thr: #AC6231;
    --color-fou: #D9C19D;
    --color-white: #fff;
    --color-black: #000;
    --section-base: 30px;
    --button-height: 50px;
}

:root .luminous-style {
    --color-text: #241F19;
    --color-pri: #7B563B;
    --color-sec: #7B563B;
    --color-thr: #AC6231;
    --color-fou: #D9C19D;
    --font-size-big: 24px;
    --font-size-base: 20px;
    --font-size-small: 16px;
    --font-size-tini: 14px;
    --font-size-h2: 74px;
    --font-size-h3: 56px;
    --font-size-h4: 38px;
    --font-size-h5: 28px;
    --font-size-h6: 24px;
}

:root .aurelious-style {
    --color-text: #272622;
    --color-pri: #CAA340;
    --color-sec: #CAA340;
    --color-thr: #AC6231;
    --color-fou: #D9C19D;
    --font-size-h1-big: 200px;
    --font-size-big: 26px;
    --font-size-base: 22px;
    --font-size-small: 20px;
    --font-size-tini: 16px;
    --font-size-h1: 120px;
    --font-size-h2: 80px;
    --font-size-h3: 50px;
    --font-size-h4: 38px;
    --font-size-h5: 30px;
    --font-size-h6: 24px;
}

/* Basic */
body {
    font-family: "Montserrat", sans-serif;
    color: var(--color-text);
    font-size: var(--font-size-base);
    line-height: 1.5;
    font-weight: 400;
    background-color: var(--color-bg);
    background-image: url('images/bg.png');
    position: relative;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin-bottom: calc(var(--section-base) * 0.75);
    line-height: 1.3;
    font-family: "Ibarra Real Nova", serif;
}

h1 {
    font-size: var(--font-size-h1);
    font-weight: 400;
}

h2 {
    font-size: var(--font-size-h2);
    font-weight: 400;
}

h3 {
    font-size: var(--font-size-h3);
    font-weight: 400;
}

h4 {
    font-size: var(--font-size-h4);
    font-weight: 400;
}

h5 {
    font-size: var(--font-size-h5);
    font-weight: 400;
}

h6 {
    font-size: var(--font-size-h6);
    font-weight: 400;
}

img {
    width: 100%;
    height: auto;
}

.big-font {
    font-size: var(--font-size-big);
}

.h1-big {
    font-size: var(--font-size-h1-big);
    line-height: 1.25;
}

a {
    color: var(--color-text);
    transition: all 0.3s ease-in-out;
    text-decoration: none;
}

a:hover,
a:focus {
    color: var(--color-thr);
}

input,
select {
    display: inline-block;
}

.color-dark {
    color: var(--color-black);
}

.color-w {
    color: var(--color-white);
}

.color-pri {
    color: var(--color-pri);
}

.color-sec {
    color: var(--color-sec);
}

.color-thr {
    color: var(--color-thr);
}

.color-fou {
    color: var(--color-fou);
}

.bg-pri {
    background-color: var(--color-pri);
}

.bg-sec {
    background-color: var(--color-sec);
}

.bg-thr {
    background-color: var(--color-thr);
}

.bg-fou {
    background-color: var(--color-fou);
}

hr {
    border-width: 2px;
    border-color: var(--color-sec);
    opacity: 1;
}

.btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
    text-transform: uppercase;
    color: var(--color-white) !important;
    background: var(--color-sec) !important;
    height: var(--button-height);
    padding: 0px var(--section-base);
    transition: all 0.3s ease-in-out;
    white-space: nowrap;
    border: 0px solid var(--color-sec) !important;
    border-radius: var(--button-height);
    font-size: inherit;
    position: relative;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    outline: none;
    overflow: hidden;
    --x: 0;
    --y: 0;
}

.btn span {
    position: relative;
    pointer-events: none;
}

.btn-thr {
    background: var(--color-thr) !important;
    border-color: var(--color-thr) !important;
}

.btn img {
    width: var(--font-size-tini);
    height: var(--font-size-tini);
    margin-left: 5px;
}

/*
.btn:hover {
    background-color: var(--color-thr);
}

.btn-thr:hover {
    background-color: var(--color-sec);
} */


.button span {
    position: relative;
    pointer-events: none;
}

.btn::before {
    --size: 0;
    content: '';
    position: absolute;
    left: var(--x);
    top: var(--y);
    width: var(--size);
    height: var(--size);
    background: radial-gradient(circle closest-side, var(--color-thr), transparent);
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    transition: width .2s ease, height .2s ease;
}

.btn-thr::before {
    background: radial-gradient(circle closest-side, var(--color-sec), transparent);
}

/* .btn:hover {
    background: var(--color-sec);
} */
.btn:hover::before {
    --size: 200px;
}

.btn-2 {
    background-color: #fff;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    width: calc(var(--section-base) * 4);
    height: calc(var(--section-base) * 4);
}

.btn-2 img {
    width: 30%;
    height: 30%;
    object-fit: contain;
    transition: all 0.3s ease-in-out;
}

.btn-2:hover img {
    transform: rotate(45deg);
}

.pb-base {
    padding-bottom: var(--section-base) !important;
}

.pt-big {
    padding-top: calc(var(--section-base) * 2.5) !important;
}

.pb-big {
    padding-bottom: calc(var(--section-base) * 2.5) !important;
}


.mt-big {
    margin-top: calc(var(--section-base) * 2.5) !important;
}

.mb-big {
    margin-bottom: calc(var(--section-base) * 2.5) !important;
}

.mb-base {
    margin-bottom: var(--section-base) !important;
}

textarea,
select,
input {
    height: var(--button-height);
    background-color: transparent;
    border-radius: calc(var(--button-height) / 3);
    padding: 0 var(--section-base);
    border: 1px solid var(--color-sec);
    outline: none;
    width: 100%;
    color: var(--color-white);
}

input[type=checkbox],
input[type=radio] {
    padding: 0;
    width: 18px;
    height: 18px;
}

textarea {
    height: calc(var(--section-base)*3.5);
}

::placeholder {
    color: var(--color-white);
    opacity: 0.75;
    font-style: italic;
}

select {
    -webkit-appearance: none;
    background-image: url('icon/select.svg');
    background-position: center right calc(var(--section-base)*.5);
    background-repeat: no-repeat;
    background-color: transparent;
    padding-right: calc(var(--section-base)*1.5);
}

.loading-container {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background-color: var(--color-bg);
    background-image: url('images/bg.png');
    display: flex;
    justify-content: center;
    align-items: center;
}

.loading-container .loading-img {
    text-align: center;
}

.loading-container .loading-img svg,
.loading-container .loading-img img {
    width: 250px;
    height: 100%;
}

.gap-base {
    gap: calc(var(--section-base) * 2 / 3);
}

/* Main */
.swiper {
    width: 100%;
    height: auto;
}

.swiper-wrapper {
    height: auto;
}

.section {
    padding: calc(var(--section-base) * 5) 0;
    position: relative;
}

.section-half {
    padding: calc(var(--section-base) * 2) 0;
}

.img-wrap {
    position: relative;
    padding-top: 78%;
    overflow: hidden;
}

.img-wrap.img-fix {
    padding-top: 0;
    height: calc(var(--section-base) * 10);
}

.img-wrap img {
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    position: absolute;
    object-fit: cover;
    transition: all 0.4s ease-in-out;
}

.img-wrap:hover img {
    transform: scale(1.05);
}

.img-wrap.slider-img {
    padding-top: 0;
    height: 480px;
}

.img-wrap.slider-img:hover img {
    transform: scale(1);
}

.swiper-button-next,
.swiper-button-prev {
    width: calc(var(--section-base)*3);
    height: calc(var(--section-base)*3);
    background-color: var(--color-white);
    border-radius: 50%;
    top: 50%;
    transform: translateY(-50%);
    left: 50px;
}

.swiper-button-next {
    right: 50px;
    left: unset;
}

.swiper-button-next:after,
.swiper-button-prev:after {
    content: "";
    background-image: url('../assets/icon/arrow-next.svg');
    width: 100%;
    height: 100%;
    background-size: 50%;
    background-repeat: no-repeat;
    background-position: center;
}

.swiper-button-prev:after {
    transform: rotate(-180deg);
}

.section-banner {
    position: relative;
}

.section-banner img {
    min-height: 350px;
    height: 100vh;
    object-fit: cover;
}

.section-banner .overlay {
    position: absolute;
    width: 100%;
    top: 50%;
    transform: translateY(-50%);
}

.form-book {
    background: #fff;
    padding: calc(var(--section-base)) calc(var(--section-base) * 2);
}

.form-book label {
    font-weight: bold;
    color: var(--color-sec);
    text-transform: uppercase;
}

.form-book select,
.form-book input {
    border-radius: 0;
    border: 0;
    border-bottom: 1px solid #686868;
    height: var(--section-base);
    color: var(--color-text);
    padding: 0;
    margin-top: 5px;
}

.form-book .select2-container--default .select2-selection--single {
    border: 0;
    border-radius: 0;
    border-bottom: 1px solid #686868;
}

.sub-title {
    letter-spacing: 0.8rem;
    margin-bottom: calc(var(--section-base) * 0.75);
}

.sub-title-2 {
    margin-bottom: calc(var(--section-base) * 0.75);
}

.icon01 {
    width: calc(var(--section-base) * 9);
    display: flex;
    margin-left: auto;
    margin-right: auto;
}

.room-item {
    position: relative;
    display: block;
}

.room-item .img-wrap {
    padding-top: 56%;
}

.room-item-2 .img-wrap {
    padding-top: 132% !important;
}

.room-item .content {
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 0;
    padding: 80px 50px 50px;
    background: rgb(0, 0, 0);
    background: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0) 100%);
}

.room-item:hover .img-wrap img {
    transform: scale(1.05);
}

.bg-01 {
    background-image: url('../assets/images/bg01.png'), url('../assets/images/bg02.png');
    background-repeat: no-repeat;
    background-size: 25%, 28%;
    background-position: top 20% left 0, center right;
}

.bg-03 {
    background-image: url('../assets/images/bg03.png');
    background-repeat: no-repeat;
    background-size: 50%;
    background-position: top right;
}

.bg-04 {
    background-image: url('../assets/images/bg04.png'), url('../assets/images/bg05.png');
    background-repeat: no-repeat;
    background-size: 24%, 16%;
    background-position: bottom 50px left 20%, bottom right;
}

.bg-06 {
    background-image: url('../assets/images/bg06.png');
    background-repeat: no-repeat;
    background-size: 20%;
    background-position: bottom left;
}

.bg-07 {
    background-image: url('../assets/images/bg07.png');
    background-repeat: no-repeat;
    background-size: auto 50%;
    background-position: center;
}

.bg-08 {
    background-image: url('../assets/images/bg08.png');
    background-repeat: no-repeat;
    background-size: auto 60%;
    background-position: top 50px right;
}

.bg-09 {
    background-image: url('../assets/images/bg09.png');
    background-repeat: no-repeat;
    background-size: auto 60%;
    background-position: bottom left;
}

.box-bg {
    padding-top: calc(var(--section-base) * 2);
    background-image: url('../assets/images/2-09.jpg'), url('../assets/images/2-10.jpg');
    background-repeat: no-repeat;
    background-position: top calc(var(--section-base) * -2) right, center left;
}

.bg-201 {
    background-image: url('../assets/images/bg2-01.png');
    background-repeat: no-repeat;
    background-size: 30% auto;
    background-position: right 30% top;
}

.bg-202 {
    background-image: url('../assets/images/bg2-02.png');
    background-repeat: no-repeat;
    background-size: 80% auto;
    background-position: left bottom;
}

.bg-203 {
    background-image: url('../assets/images/bg2-03.png');
    background-repeat: no-repeat;
    background-size: 100% auto;
    background-position: right bottom 30%;
}

.bg-204 {
    background-image: url('../assets/images/bg2-04.png');
    background-repeat: no-repeat;
    background-size: 100% auto;
    background-position: left bottom;
}

.img-box {
    overflow: hidden;
}

.img-box img {
    transition: all 1s ease-in-out;
}

.img-box:hover img {
    transform: scale(1.2);
}

.z-index-9 {
    z-index: 9;
}

.item-list {
    border-bottom: 1px solid #241F19;
}

.z-index--1 {
    z-index: -1;
}


.box-text-img {
    position: relative;
}

.box-text-img__img {
    clip-path: inset(0 0 0 0);
}

.box-text-img__img__text {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 10;
}

.img-box-wrap {
    position: relative;
}

.section-banner-3 .content {
    margin-top: calc(var(--section-base) * -13);
}

.svg-btn {
    display: block;
}

.svg-btn svg {
    width: calc(var(--section-base) * 6);
    height: auto;
}

.mw-350 {
    max-width: 350px;
}


.item-img-img {
    height: 100%;
    padding: calc(var(--section-base)*2.5);
    display: flex;
    justify-content: center;
    background-size: cover;
    color: #fff;
}

.item-img-img .content {
    text-align: center;
    width: 100%;
}

.item-img-img .content img {
    margin-top: calc(var(--section-base)*1.5);
    max-width: 60%;
    width: auto;
    margin-bottom: calc(var(--section-base)*2);
}

.button-container {
    display: flex;
    align-items: center;
}

.button-container .circle {
    position: relative;
    width: calc(var(--section-base) * 3);
    height: calc(var(--section-base) * 3);
    margin-right: calc(var(--section-base) * 2/3);
}

.button-container .circle .outer-svg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.button-container .circle .inner-svg {
    position: absolute;
    width: calc(var(--section-base) * 2/3);
    height: calc(var(--section-base) * 2/3);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: transform 0.3s ease, width 0.3s ease, height 0.3s ease;
}

.button-container .button-text {
    position: relative;
    margin-left: calc(var(--section-base) * -1);
    white-space: nowrap;
}

.button-container:hover .inner-svg {
    width: 60%;
    height: 100%;
    transform: translate(-50%, -50%);
}

.section-discover .h1-big img {
    height: calc(var(--section-base)* 5);
    width: auto;
    margin-top: calc(var(--section-base)* -1.2);
}

.section-discover .content {
    margin-top: calc(var(--section-base) * -4);
    position: relative;
    z-index: -1;
}


.section-featured .content {
    margin-top: calc(var(--section-base) * -8);
}

.item-product .img-wrap {
    overflow: hidden;
    padding-top: 100%;
}

.item-product .img-wrap.la {
    padding-top: 125%;
}

.item-product .img-wrap img {
    transform: scale(1);
    transition: all 0.3s ease-in-out;
}

.item-product:hover .img-wrap img {
    transform: scale(1.05);
}

.item-product .item-content {
    justify-content: space-between;
    line-height: 1;
}

.item-product .item-p-title {
    font-size: var(--font-size-h5);
    font-weight: 500;
    margin-bottom: 5px;
}

.item-product .price {
    font-size: var(--font-size-h4);
    font-weight: 500;
}


.title-with-line {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.title-with-line hr {
    width: 100%;
}

.title-with-line span {
    padding: 0 var(--section-base);
    white-space: nowrap;
}

.section-putting h1 {
    width: 50%;
}

.section-putting .box-text-img__img__text {
    left: 50%;
}

.section-putting .content {
    margin-top: calc(var(--section-base) * -10);
}



.content-tabs .nav-tabs {
    border-bottom: 1px solid rgb(0 0 0 / 20%);
}

.content-tabs .nav-tabs .nav-link {
    padding: calc(var(--section-base) * 2/3) calc(var(--section-base) * 2);
    outline: none;
    border-radius: 0;
    position: relative;
    color: var(--color-text);
    border: 0;
}

.content-tabs .nav-tabs .nav-item.show .nav-link::after,
.content-tabs .nav-tabs .nav-link.active::after {
    position: absolute;
    content: "";
    width: 100%;
    left: 0;
    right: 0;
    height: 5px;
    bottom: -2px;
    background-color: var(--color-pri);
}

.content-tabs .nav-tabs .nav-item.show .nav-link,
.content-tabs .nav-tabs .nav-link.active {
    background-color: transparent;
}

.img-box-full {
    padding: calc(var(--section-base) * 6) 0;
    background-size: cover;
}

.img-box-full h1 {
    margin-left: calc(var(--section-base) * 2.2);
}

.detail-price {
    font-size: var(--font-size-h3);
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

.cart-total {
    border: 1px solid var(--color-text);
    padding: var(--section-base);
}

.table-cart {
    width: 100%;
}

.table-cart thead th {
    font-size: var(--font-size-h5);
    padding: var(--section-base);
    border-bottom: 1px solid var(--color-text);
}

.product-details-info .btn {
    min-width: 50%;
}

.img-wrap-cart {
    width: calc(var(--section-base) * 3);
    height: calc(var(--section-base) * 3);
    min-width: calc(var(--section-base) * 3);
    object-fit: cover;
}

.table-cart tbody td,
.table-cart tbody th {
    padding: calc(var(--section-base) * 2/3) calc(var(--section-base) * 2/3) 0;
}

.table-cart.table-bordered td,
.table-cart.table-bordered th {
    padding-bottom: calc(var(--section-base) * 2/3);
}

.img-wrap-cart img {
    width: calc(var(--section-base) * 3);
    height: calc(var(--section-base) * 3);
    min-width: calc(var(--section-base) * 3);
    object-fit: cover;
}

.section-banner-page img {
    height: 50vh;
}

.section-gallery {
    display: flex;
    flex-wrap: wrap;
}

.section-gallery .gallery-item {
    flex: 0 0 auto;
    width: calc(33.33% - 1.5rem);
    overflow: hidden;
    margin-left: calc(1.5rem * .5);
    margin-right: calc(1.5rem * .5);
    margin-bottom: 1.5rem;
}

.section-gallery .gallery-item img {
    transition: all 1s ease-in-out;
    transform: scale(1.05);
    aspect-ratio: 1/1;
    object-fit: cover;
    width: 100%;
}

.section-gallery .gallery-item:hover img {
    transform: scale(1);
}